Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class ContextAdaptor

    java.lang.Object
      org.jboss.seam.contexts.ContextAdaptor

Direct Known Subclasses:
  PortletRequestImpl, PortletSessionImpl, ServletRequestImpl, ServletSessionImpl

    public abstract class ContextAdaptor

extends Object

Version:
  $Revision: 2487 $
Author:
  Thomas Heute

Constructor Summary
`ContextAdaptor()`

Method Summary
`abstract Object` | `getAttribute(String key)`
`abstract Enumeration` | `getAttributeNames()`
`static ContextAdaptor` | `getRequest(javax.faces.context.ExternalContext externalContext)`
`static ContextAdaptor` | `getRequest(javax.servlet.ServletRequest request)`
`static ContextAdaptor` | `getSession(javax.faces.context.ExternalContext externalContext)`
`static ContextAdaptor` | `getSession(javax.servlet.http.HttpSession session)`
`abstract void` | `invalidate()`
`abstract void` | `removeAttribute(String key)`
`abstract void` | `setAttribute(String key, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextAdaptor

    public ContextAdaptor()

Method Detail

### getAttribute

    public abstract Object getAttribute(String key)

### removeAttribute

    public abstract void removeAttribute(String key)

### getAttributeNames

    public abstract Enumeration getAttributeNames()

### setAttribute

    public abstract void setAttribute(String key,
                                      Object value)

### invalidate

    public abstract void invalidate()

### getSession

    public static ContextAdaptor getSession(javax.faces.context.ExternalContext externalContext)

### getSession

    public static ContextAdaptor getSession(javax.servlet.http.HttpSession session)

### getRequest

    public static ContextAdaptor getRequest(javax.faces.context.ExternalContext externalContext)

### getRequest

    public static ContextAdaptor getRequest(javax.servlet.ServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD